=== debian/control ===
Source: ros-noetic-roscpp-serialization
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cpp-common, ros-noetic-roscpp-traits, ros-noetic-rostime
Homepage: http://ros.org/wiki/roscpp_serialization
Standards-Version: 3.9.2

Package: ros-noetic-roscpp-serialization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cpp-common, ros-noetic-roscpp-traits, ros-noetic-rostime
Description: roscpp_serialization contains the code for serialization as described in MessagesSerializationAndAdaptingTypes.
 This package is a component of roscpp.
